package org.apidesign.apifest08.currency;

import java.util.Currency;
import java.util.Date;

public class ExchangeRate {

  private Currency originalCurrency;
  private Currency newCurrency;
  private double unit;
  private double rate;
  private Date validFrom;
  private Date validTo;

  public ExchangeRate(Currency originalCurrency, Currency newCurrency, double rate, double unit) {
    this.newCurrency = newCurrency;
    this.originalCurrency = originalCurrency;
    this.rate = rate;
    this.unit = unit;
  }
  
  public ExchangeRate(Currency originalCurrency, Currency newCurrency, double rate, double unit, Date validFrom, Date validTo) {
    this.newCurrency = newCurrency;
    this.originalCurrency = originalCurrency;
    this.rate = rate;
    this.unit = unit;
    this.validFrom = validFrom;
    this.validTo = validTo;
  }

  /**
   * @return the originalCurrency
   */
  public Currency getOriginalCurrency() {
    return originalCurrency;
  }

  /**
   * @return the newCurrency
   */
  public Currency getNewCurrency() {
    return newCurrency;
  }

  /**
   * @return the unit
   */
  public double getUnit() {
    return unit;
  }

  /**
   * @param unit the unit to set
   */
  public void setUnit(double unit) {
    this.unit = unit;
  }

  /**
   * @return the rate
   */
  public double getRate() {
    return rate;
  }

  /**
   * @param rate the rate to set
   */
  public void setRate(double rate) {
    this.rate = rate;
  }

  /**
   * @return the validFrom
   */
  public Date getValidFrom() {
    return validFrom;
  }

  /**
   * @param validFrom the validFrom to set
   */
  public void setValidFrom(Date validFrom) {
    this.validFrom = validFrom;
  }

  /**
   * @return the validTo
   */
  public Date getValidTo() {
    return validTo;
  }

  /**
   * @param validTo the validTo to set
   */
  public void setValidTo(Date validTo) {
    this.validTo = validTo;
  }

}
