package org.apidesign.apifest08.currency;


public final class CurrencyRateFactory {

    //Singleton
    private static CurrencyRateFactory thisFactory = new CurrencyRateFactory();
    private CurrencyRateFactory() {};
    public static CurrencyRateFactory getInstance() {
        return thisFactory;
    }

    public CurrencyRate createCurrencyRate(final String currency1, final String currency2, final Rate rate) {
        return new CurrencyRateImpl(currency1, currency2, rate);
    }
    
    public CurrencyRate createCurrencyRate(final String currency1, final String currency2, int amount1, int amount2) {
        return new CurrencyRateImpl(currency1, currency2, new Rate(amount1, amount2));
    }

    public CurrencyRate createCurrencyRate(final String currency1, final String currency2, double amount1, double amount2) {
        return new CurrencyRateImpl(currency1, currency2, new Rate(amount1, amount2));
    }

    public TimeLimitedCurrencyRate createCurrencyRateTimeLimited(final String currency1, final String currency2, final Rate rate, long fromTime, long toTime) {
        return new CurrencyRateImpl(currency1, currency2, rate, fromTime, toTime);
    }

    public TimeLimitedCurrencyRate createCurrencyRateTimeLimited(final String currency1, final String currency2, int amount1, int amount2, long fromTime, long toTime) {
        return new CurrencyRateImpl(currency1, currency2, new Rate(amount1, amount2), fromTime, toTime);
    }

    public TimeLimitedCurrencyRate createCurrencyRateTimeLimited(final String currency1, final String currency2, double amount1, double amount2, long fromTime, long toTime) {
        return new CurrencyRateImpl(currency1, currency2, new Rate(amount1, amount2), fromTime, toTime);
    }
    
}
